Docs Fal.ai /fal-ai/nano-banana/edit
API reference

/fal-ai/nano-banana/edit Image editing

Official documentation: https://fal.ai/models/fal-ai/nano-banana/edit

POST/fal-ai/nano-banana/edit

Body Parametersapplication/json

image_urls* array

The image url that needs to be edited.

items
string string
num_images integer

Number of images generated. Range value 1-4. Default value: 1

prompt* string

Tip words for image editing.

Responses

200 application/json
response-200 object
properties
cancel_url* string

Task cancellation URL

logs* array nullable

Run logs

metrics* object

Run metrics

queue_position* integer

Queue position

request_id* string

Request trace ID

response_url* string

Result query URL

status* string

Status

status_url* string

Status query URL

400 Bad request or validation failed application/json
response-400 object
properties
error* object
Request Body Example
1{
2"image_urls": [
3"https://storage.googleapis.com/falserverless/example_inputs/nano-banana-edit-input.png",
4"https://storage.googleapis.com/falserverless/example_inputs/nano-banana-edit-input-2.png"
5],
6"num_images": 1,
7"prompt": "make a photo of the man driving the car down the california coastline"
8}
Code Sample cURL
1curl -X POST "https://api.digislash.com/fal-ai/nano-banana/edit" \
2-H "Content-Type: application/json" \
3-d '{
4"image_urls": [
5"https://storage.googleapis.com/falserverless/example_inputs/nano-banana-edit-input.png",
6"https://storage.googleapis.com/falserverless/example_inputs/nano-banana-edit-input-2.png"
7],
8"num_images": 1,
9"prompt": "make a photo of the man driving the car down the california coastline"
10}'
Response
1▼{
2"cancel_url": "https://queue.fal.run/fal-ai/nano-banana/requests/f8837f29-26cb-4213-90f5-22b2911a0ea7/cancel",
3"logs": [],
4"metrics": {},
5"queue_position": 0,
6"request_id": "f8837f29-26cb-4213-90f5-22b2911a0ea7",
7"response_url": "https://queue.fal.run/fal-ai/nano-banana/requests/f8837f29-26cb-4213-90f5-22b2911a0ea7",
8"status": "IN_QUEUE",
9"status_url": "https://queue.fal.run/fal-ai/nano-banana/requests/f8837f29-26cb-4213-90f5-22b2911a0ea7/status"
10}